Page MenuHomePhabricator

Gerrit search by user name displays error message
Closed, ResolvedPublic

Description

When you go to the the search box in Gerrit (top right) with Firefox, enter "status:merged owner:aklapp" and hit RET twice, the result page https://gerrit.wikimedia.org/r/#/q/status:merged+owner:%22Aklapper+%253Caklapper%2540wikimedia.org%253E%22,n,z is correctly displayed, but with an overlay error message of:

Code Review - Error
User Aklapper %3Caklapper%40wikimedia.org%3E not found
[Continue]

Clicking on [Continue] will enable you to use the result page as normal.

Event Timeline

scfc created this task.Feb 20 2016, 7:39 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 20 2016, 7:39 PM

Please provide browser information. I've seen this with Firefox, I've never seen this with Chromium.

scfc updated the task description. (Show Details)Feb 22 2016, 11:06 PM
scfc added a project: Browser-Support-Firefox.
greg triaged this task as Low priority.Apr 1 2016, 9:37 AM
greg added a subscriber: greg.

I get this as well in Iceweasel 44.0.2

It works for me on iOS 10, safari.

Does gerrit 2.12 fix it for you please go to

https://gerrit-new.wikimedia.org/r/#/q/status:merged+owner:%22Aklapper+%253Caklapper%2540wikimedia.org%253E%22,n,z

To test.

I don't get that error message on gerrit-new. Good deal.

It seems in ios, it works with the old gerrit and new gerrit. On internet explorer it gets the same error as you but new gerrit works without any errors. :).

demon closed this task as Resolved.Jul 25 2016, 3:36 PM
demon claimed this task.
demon added a subscriber: demon.

Think this is fixed? I don't use Firefox :) Please reopen if this isn't the case.